Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.ipc
Class DispatchingStrategy.Strategy

    java.lang.Object
      ix.util.ipc.DispatchingStrategy.Strategy

All Implemented Interfaces:
  IPC.MessageListener

Enclosing class:
  DispatchingStrategy

     class DispatchingStrategy.Strategy

extends java.lang.Object
implements IPC.MessageListener

Field Summary
`(package private) IPC.MessageListener` | `agentsListener`
`(package private) java.lang.String` | `name`
`(package private) IPC.CommunicationStrategy` | `strategy`

Constructor Summary
`DispatchingStrategy.Strategy(java.lang.String name)`

Method Summary
`(package private) java.lang.String` | `getName()`
`(package private) IPC.CommunicationStrategy` | `getStrategy()`
`void` | `messageReceived(IPC.InputMessage message)`
`void` | `setupServer(java.lang.Object destination, IPC.MessageListener listener)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### strategy

    IPC.CommunicationStrategy strategy

### agentsListener

    IPC.MessageListener agentsListener

Constructor Detail

### DispatchingStrategy.Strategy

    DispatchingStrategy.Strategy(java.lang.String name)

Method Detail

### getName

    java.lang.String getName()

### getStrategy

    IPC.CommunicationStrategy getStrategy()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setupServer

    public void setupServer(java.lang.Object destination,
                            IPC.MessageListener listener)

### messageReceived

    public void messageReceived(IPC.InputMessage message)

  Specified by:
    `messageReceived` in interface `IPC.MessageListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD